SBUILD-APT(1)

NAME
sbuild-apt - run apt-get or apt-cache in an sbuild chroot

SYNOPSIS
sbuild-apt [-h|--help | -V|--version] CHROOT (apt-get|apt-cache) [ARG1 [ARG2 [ARGn...]]]

DESCRIPTION
sbuild-apt runs apt-get(1) or apt-cache(1) inside the specified chroot, along with any additional arguments.

OPTIONS

  Actions

-h, --help
    Display this manual.

-V, --version
    Print version information.

  Chroot selection

CHROOT
    The chroot to run the command in. Note that ‘o’, ‘s’, ‘t’, ‘u’ and ‘e’ may be used as abbreviations for ‘oldstable’, ‘stable’, ‘testing’, ‘unstable’ and ‘experimental’, respectively.

  APT options

apt-get
    Run apt-get.

apt-cache
    Run apt-cache.

ARG Additional arguments to pass to apt-get or apt-cache.

EXAMPLES
To update the APT package lists in the unstable chroot:

% sbuild-apt unstable apt-get update

Note that sbuild-update(1) is a more convenient method for doing the above.

AUTHORS
Roger Leigh.

COPYRIGHT
Copyright © 2006–2008 Roger Leigh <rleigh@debian.org>.

SEE ALSO
apt-cache(1), apt-get(1), sbuild(1), sbuild-update(1), sbuild-upgrade(1).